//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;
using System.Globalization;

namespace FrameworkLibraries
{
	public class TimeZoneMain 
	{
		static void Main(string [] args)
		{
			TimeZone tz = TimeZone.CurrentTimeZone;
			Console.WriteLine("{0} {1}", tz.DaylightName, tz.StandardName);
			DaylightTime dt = tz.GetDaylightChanges(DateTime.Now.Year);
			Console.WriteLine("Początek czasu letniego {0}", dt.Start);
			Console.WriteLine("Koniec czasu letniego {0}", dt.End);
			Console.WriteLine("Zmiana czasu letniego {0}", dt.Delta);
			Console.WriteLine("Czy obecnie obowiązuje czas letni? {0}", tz.IsDaylightSavingTime(DateTime.Now));
			Console.WriteLine("UTC {0}", tz.ToUniversalTime(DateTime.Now));
		}
	}
}